Merge pull request #313788 from Redhawk18/plexamp

plexamp: 4.8.3 -> 4.10.1
This commit is contained in:
Marcus Ramberg 2024-06-18 23:26:10 +02:00 committed by GitHub
commit 28e8f35ed7
No known key found for this signature in database
GPG Key ID: B5690EEEBB952194
3 changed files with 18 additions and 10 deletions

View File

@ -16724,6 +16724,12 @@
githubId = 1922770;
name = "Tim Engler";
};
redhawk = {
email = "redhawk76767676@gmail.com";
github = "Redhawk18";
githubId = 77415970;
name = "Redhawk";
};
redvers = {
email = "red@infect.me";
github = "redvers";

View File

@ -2,24 +2,25 @@
let
pname = "plexamp";
version = "4.8.3";
version = "4.10.1";
src = fetchurl {
url = "https://plexamp.plex.tv/plexamp.plex.tv/desktop/Plexamp-${version}.AppImage";
name="${pname}-${version}.AppImage";
hash = "sha512-CrSXmRVatVSkMyB1QaNSL/tK60rQvT9JraRtYYLl0Fau3M1LJXK9yqvt77AjwIwIvi2Dm5SROG+c4rA1XtI4Yg==";
name = "${pname}-${version}.AppImage";
hash = "sha512-Y43W6aPnZEMnkBQwSHbT8PWjuhkfNxce79Y9cixEPnq4VybROHGb9s6ghV7kP81TSWkb9QruFhmXfuJRSkXxTw==";
};
appimageContents = appimageTools.extractType2 {
inherit pname version src;
};
in appimageTools.wrapType2 {
in
appimageTools.wrapType2 {
inherit pname version src;
extraInstallCommands = ''
install -m 444 -D ${appimageContents}/plexamp.desktop $out/share/applications/plexamp.desktop
install -m 444 -D ${appimageContents}/plexamp.png \
$out/share/icons/hicolor/512x512/apps/plexamp.png
install -m 444 -D ${appimageContents}/plexamp.svg \
$out/share/icons/hicolor/scalable/apps/plexamp.svg
substituteInPlace $out/share/applications/${pname}.desktop \
--replace 'Exec=AppRun' 'Exec=${pname}'
'';
@ -29,9 +30,9 @@ in appimageTools.wrapType2 {
meta = with lib; {
description = "Beautiful Plex music player for audiophiles, curators, and hipsters";
homepage = "https://plexamp.com/";
changelog = "https://forums.plex.tv/t/plexamp-release-notes/221280/53";
changelog = "https://forums.plex.tv/t/plexamp-release-notes/221280/73";
license = licenses.unfree;
maintainers = with maintainers; [ killercup synthetica ];
maintainers = with maintainers; [ killercup redhawk synthetica ];
platforms = [ "x86_64-linux" ];
};
}

View File

@ -5,7 +5,7 @@
set -Eeuxo pipefail
cleanup() {
rm -rf "$TMPDIR"
rm -rf "$TMPDIR"
}
trap cleanup EXIT
@ -42,9 +42,10 @@ if diff "$DEFAULT_NIX" "$WORKING_NIX"; then
fi
# update sha hash (convenietly provided)
sed -i "s@sha.* = .*;@sha512 = \"$SHA512\";@g" "$WORKING_NIX"
sed -i "s@hash.* = .*;@hash = \"sha512-$SHA512\";@g" "$WORKING_NIX"
# update the changelog ("just" increment the number)
# manually check that the changelog corresponds to our Plexamp version
CHANGELOG_URL=$(rg --only-matching 'changelog = "(.+)";' --replace '$1' $WORKING_NIX)
CHANGELOG_NUMBER=$(rg --only-matching '.*/([0-9]+)' --replace '$1' <<< $CHANGELOG_URL)
NEXT_CHANGELOG=$(($CHANGELOG_NUMBER + 1))